| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
SV_9DOF_GBY_KALMAN Struct Reference

`#include <fusion_types.h>`

Collaboration diagram for SV_9DOF_GBY_KALMAN:

## Data Fields
float | fPhiPl
float | fThePl
float | fPsiPl
float | fRhoPl
float | fChiPl
float | fRPl [3][3]
struct fquaternion | fqPl
float | fRVecPl [3]
float | fOmega [3]
int32 | systick
float | fbPl [3]
float | fThErrPl [3]
float | fbErrPl [3]
float | fdErrGlPl [3]
float | fdErrSePl [3]
float | faErrSePl [3]
float | faSeMi [3]
float | fDeltaPl
float | faSePl [3]
float | faGlPl [3]
float | fgErrSeMi [3]
float | fmErrSeMi [3]
float | fgSeGyMi [3]
float | fmSeGyMi [3]
float | fmGl [3]
float | fQvAA
float | fQvMM
float | fPPlus12x12 [12][12]
float | fK12x6 [12][6]
float | fQw12x12 [12][12]
float | fC6x12 [6][12]
float | fRMi [3][3]
struct fquaternion | fDeltaq
struct fquaternion | fqMi
float | fcasq
float | fcdsq
float | fFastdeltat
float | fdeltat
float | fdeltatsq
float | fQwbplusQvG
int16 | iFirstOrientationLock
int8 | resetflag

## Detailed Description

Definition at line 202 of file fusion_types.h.

## Field Documentation

float faErrSePl[3]

Definition at line 229 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float faGlPl[3]

Definition at line 233 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float faSeMi[3]

Definition at line 230 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float faSePl[3]

Definition at line 232 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fbErrPl[3]

Definition at line 224 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fbPl[3]

Definition at line 222 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fC6x12[6][12]

Definition at line 244 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fcasq

Definition at line 248 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fcdsq

Definition at line 249 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fChiPl

Definition at line 210 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fDeltaPl

Definition at line 231 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

struct fquaternion fDeltaq

Definition at line 246 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fdeltat

Definition at line 251 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fdeltatsq

Definition at line 252 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fdErrGlPl[3]

Definition at line 227 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fdErrSePl[3]

Definition at line 228 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fFastdeltat

Definition at line 250 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fgErrSeMi[3]

Definition at line 234 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fgSeGyMi[3]

Definition at line 236 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fK12x6[12][6]

Definition at line 242 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fmErrSeMi[3]

Definition at line 235 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fmGl[3]

Definition at line 238 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fmSeGyMi[3]

Definition at line 237 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fOmega[3]

Definition at line 216 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fPhiPl

Definition at line 206 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fPPlus12x12[12][12]

Definition at line 241 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fPsiPl

Definition at line 208 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

struct fquaternion fqMi

Definition at line 247 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

struct fquaternion fqPl

Definition at line 213 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fQvAA

Definition at line 239 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fQvMM

Definition at line 240 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fQw12x12[12][12]

Definition at line 243 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fQwbplusQvG

Definition at line 253 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fRhoPl

Definition at line 209 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fRMi[3][3]

Definition at line 245 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fRPl[3][3]

Definition at line 212 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fRVecPl[3]

Definition at line 214 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fThePl

Definition at line 207 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fThErrPl[3]

Definition at line 223 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

int16 iFirstOrientationLock

Definition at line 254 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

int8 resetflag

Definition at line 255 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), fRun_9DOF_GBY_KALMAN(), and Fusion_Init().

int32 systick

Definition at line 218 of file fusion_types.h.

Referenced by Fusion_Run().

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_types.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.